import xml.etree.ElementTree as etree

xmlfile = etree.parse("my.xml")	# xml 문서 파싱
#etree.dump(xmlfile) 	    # 결과 확인 후 주석 처리

root = xmlfile.getroot()	# root 엘리먼트명 얻기
print(root.tag)
print(root[0].tag) 	# root 엘리먼트의 0번째 노드명 얻기

# 요소와 속성 읽기
print(root[0][0].tag)
print(root[0][0].attrib)
print(root[0][2].attrib)
print(root[0][2].attrib.keys())
print(root[0][2].attrib.values())
myname = root.find("item").find("name").text
mytel = root.find("item").find("tel").text
print(myname + " " + mytel)

# 반복 처리
for child in root:
    print(child.tag)
    for child2 in child:
        print(child2.tag, child2.attrib)
    print()

