import urllib.request
from bs4 import BeautifulSoup

url = "http://openapi.seoul.go.kr:8088/sample/xml/SeoulLibraryTime/1/5"
plainText = urllib.request.urlopen(url).read().decode()
xmlObj = BeautifulSoup(plainText, 'html.parser')
libData = xmlObj.select("row")		# row 태그를 검색해 모두 읽는다.

for data in libData:
    name = data.find("lbrry_name").string	# 도서관 이름 추출
    addr = data.find("adres").string	    # 도서관 주소 추출
    print('도서관명:', name)
    print('주 소:', addr)
