def func(w, h, **other):        # other는 딕셔너리 형 자료와 매칭
    print('몸무게 {}, 키 {}'.format(w, h))
    print(other)

func(65, 175, irum='지구인', nai=23)  # 변수=값은 **변수에 매칭
func(w=75, h=185, irum='한국인')      # w와 h는 이름으로 매칭

# 함수의 매개 변수에 인수를 전달하기 종합  (혼합도 가능)
def funcTotal(a, b, *v1, **v2):
    print(a, b)
    print(v1)
    print(v2)

funcTotal(1, 2)      # 매개 변수 v1, v2는 매칭값이 없다.

funcTotal(1, 2, 3, 4, 5)   #  매개 변수 v2는 매칭값이 없다.

funcTotal(1, 2, 3, 4, 5, m=6, n=7)   #  a, b, *v1, **v2 모두 매칭됨
