def outer():
    count = 0
    def inner():     # 내부 함수
        nonlocal count
        count += 1
        return count
    return inner   # 이게 클로저! 내부 함수의 주소를 반환한다.

# 함수 내의 count 값 확인하기
var1 = outer()    # 객체 생성 후 내부 함수의 객체 주소를 var1에게 치환한다.
print(var1())     # 변수 값이 계속 유지된다.
print(var1())     # 변수 count의 값이 계속 유지된다.

var2 = outer()    # 새로운 객체를 생성
print(var2())
