class Fridge:
    isOpened = False	# 냉장고 문 개폐 여부 확인용 변수.
    foods = []		    # FoodData type 자료 저장용 변수.

    def open(self):   	# 냉장고 문 열기 메소드로 사용
        self.isOpened = True
        print('냉장고 문 열기')

    def put(self, thing):	# 냉장고에 음식물 넣기 메소드로 사용
        if self.isOpened:
            self.foods.append(thing)	# 클래스의 포함
            print('냉장고 속에 음식이 들어감')
            self.list()
        else:
            print('냉장고 문이 닫혀서 음식을 넣을 수 없음')

    def close(self):	# 냉장고 문 닫기 메소드로 사용
        self.isOpened = False
        print('냉장고 문 닫기')

    def list(self):		# 냉장고 속 음식물 목록 보기로 사용
        for f in self.foods:
            print('-', f.irum, f.expiry_date)
        print()

# FoodData 클래스는 Fridge의 포함 대상으로 쓰인다.
class FoodData:
    def __init__(self, irum, expiry_date):
        self.irum = irum
        self.expiry_date = expiry_date

f = Fridge()		 # Fridge 클래스 타입의 객체 생성

apple = FoodData('사과', '2021-9-5') 	# FoodData 객체 생성
f.open()		# 냉장고 문을 열고
f.put(apple)	# 음식물을 넣고
f.close()		# 냉장고 문을 닫기

cola = FoodData('콜라', '2023-11-22')	# FoodData 객체 생성
f.open()
f.put(cola)
f.close()
