class Parent:
    def printData(self):  # 부모의 메소드로 수행할 내용은 없다.
        pass

class Child1(Parent):
    def printData(self):  # 메소드 오버라이드
        print('Child1에서 override')

class Child2(Parent):
    def printData(self):  # 메소드 오버라이드
        print('Child2에서 overriding')
        print('부모 메소드와 이름은 같으나 기능은 다름')

c1 = Child1()      # Child1 객체 생성
c1.printData()     # 오버라이드된 Child1의 메소드 수행
c2 = Child2()      # Child2 객체 생성
c2.printData()     #오버라이드된 Child2의 메소드 수행

#다형성 처리를 해본다.
par = c1           # 자식 객체의 주소를 par 변수에 치환
par.printData()    # Child1 클래스의 메소드 수행

par = c2           # 자식 객체의 주소를 par 변수에 치환
par.printData()    # Child2 클래스의 메소드 수행

plist = [c1, c2]       # 자식 객체 참조변수를 리스트에 저장
for item in plist:     # 리스트에 저장된 요소를 차례대로 참조
    item.printData()   # 명령문은 같으나 수행 결과는 다름
