class ElecProduct:            # 가전 제품을 위한 부모 클래스
    volume = 0                # 소리 크기 기억용 멤버변수

    def volumeControl(self, volume):  # 소리 조절용 메소드
        pass    #내용은 없다.

class ElecTv(ElecProduct):            # 가전제품 중 TV 클래스
    def volumeControl(self, volume):  # 메소드 오버라이드
        self.volume += volume
        print('TV 소리 크기:', self.volume)

class ElecRadio(ElecProduct):   # 가전제품 중 Radio 클래스
    def showProduct(self):      # Radio에게만 있는 메소드
        print('라디오 고유 메소드')

    def volumeControl(self, volume):  # 메소드 오버라이드
        vol = volume
        self.volume += vol
        print('Radio 볼륨 크기:', self.volume)

tv = ElecTv()                # Tv 객체 생성
tv.volumeControl(5)
tv.volumeControl(-3)

radio = ElecRadio()          # Radio 객체 생성
radio.volumeControl(7)
radio.showProduct()

# 다형성 처리하기
product = tv
product.volumeControl(3)  # tv의 소리를 조절
product = radio
product.volumeControl(3)  # radio의 소리를 조절
