class Donkey:
    data = '당나귀 최고'

    def skill(self):
        print('당나귀 : 짐나르기')

class Horse:
    def skill(self):
        print('말 : 달리기')

    def hobby(self):
        print('말은 달리기가 취미')

class Mule1(Donkey, Horse):  # Donkey, Horse 순으로 다중 상속됨
    pass

mu1 = Mule1()
print(mu1.data)    # Donkey의 멤버변수를 참조
mu1.skill()        # Donkey의 메소드를 수행
mu1.hobby()        # Horse의 메소드를 수행


class Mule2(Horse, Donkey):  # Horse, Donkey 순으로 다중 상속됨
    def play(self):
        print('노새 고유 메소드')

    def hobby(self):         # 부모 메소드를 오버라이드함
        print('노새는 걷기를 즐김')

    def showhobby(self):
        self.hobby()       # 클래스의 멤버 호출은 self
        super().hobby()    # 부모 멤버 호출 시 super()

    def showdata(self):
        print(self.data)     # 클래스 자신의 멤버부터 호출함
        print(super().data)  # 바로 부모 멤버를 호출함

mu2 = Mule2()
mu2.skill()         # Horse의 메소드를 수행
mu2.hobby()         # Mule2의 메소드를 수행
mu2.play()          # Mule2의 메소드를 수행
mu2.showhobby()
mu2.showdata()
