def divideFunc(a, b):
    return a / b        # 매개변수 a를 b로 나눈 결과 반환

print('뭔가를 하다가...')
c = divideFunc(5, 2)    # 에러가 없어 정상 처리된다.
#c = divideFunc(5, 0)   # 에러로 인해 프로그램이 비정상 강제종료됨
print(c)
# 지금까지는 에러가 없으면 실행이 계속된다. 에러가 있으면 강제 종료됨

# 여기서부터 예외처리 구문 적용
try:
    c = divideFunc(5, 2)   # except를 만나지 않고 정상 진행됨
    #c = divideFunc(5, 0)  # 에러가 발생해 except 구문으로 실행 이동!
    print(c)

    aa = [1, 2]
    print(aa[0])       # 슬라이싱이 정상 진행됨
    #print(aa[3])      # 에러가 발생해 except 구문으로 실행 이동!

    f = open('c:/work/abc.txt')   # abc.txt 파일이 없으면 에러 발생!
except ZeroDivisionError:
    print('두번째 숫자로 0은 안돼!')
except IndexError as e:
    print('참조 범위 오류 : ', e)
except Exception as e:
    print('에러 발생 : ', e)
finally:
    print('에러 유무에 상관없이 수행됨')

print('정상 종료')
