import socket
import sys

HOST = ''	# 서버의 ip 주소를 지정하지 않으면 고정 ip 주소나 localhost 사용 가능
PORT = 7878	# port 번호는 지정
serversock = socket.socket(socket.AF_INET, socket.SOCK_STREAM)

try:
    serversock.bind((HOST, PORT))

    print('server start...')
    serversock.listen(5)

    while True: 	# 서버 서비스를 계속 유지하기 위함
        conn, addr = serversock.accept()	# 클라이언트가 접속하면 연결 객체 생성
        print('client info :', addr[0], addr[1]) 	# 클라이언트의 정보 확인
        print(conn.recv(1024).decode())	    # 클라이언트가 전송한 메시지를 수신한 후 출력

        # 클라이언트로 메시지를 송신하기 위해 send() 사용
        conn.send(('from server:' + str(addr[1]) + ' 잘 지내라').encode('UTF-8'))
except socket.error as err:
    print('에러 : ', err)
    sys.exit()
finally:
    serversock.close()
