# MariaDB의 sangpum table 자료를 웹으로 출력
import MySQLdb
import pickle
import os

print('Content-Type:text/html;charset=UTF-8\n')
print('<html><body><h2>상품 자료</h2>')
print('<table border="1">')
print('<tr><th>코드</th><th>상품명</th><th>수량</th><th>단가</th></tr>')

try:
    with open(os.getcwd() + '\\mysqldb.dat', 'rb') as obj:
        config = pickle.load(obj)

    conn = MySQLdb.connect(**config)  # 원격 DB 서버 정보를 받아 연결객체를 생성한다.
    cursor = conn.cursor()
    cursor.execute("select * from sangdata")
    datas = cursor.fetchall()   # sangdata 테이블의 모든 자룔를 읽어 datas 변수가 기억한다.

    for code, sang, su, dan in datas: # datas 변수의 값을 레코드 단위로 출력. 하나의 레코드는 4개의 칼럼으로 구성되어 있으므로 for에 있는 4개의 변수와 매칭된다.
        print("""
            <tr>
                <td>{0}</td>
                <td>{1}</td>
                <td>{2}</td>
                <td>{3}</td>
            </tr>
            """.format(str(code), sang, su, dan))
except Exception as e:
    print(e)

print('</table></body></html>')
