from http.server import CGIHTTPRequestHandler, HTTPServer

PORT = 8888                         # port 번호는 임의적으로 8888을 주었다.

class HandlerClass(CGIHTTPRequestHandler):  # CGIHTTPRequestHandler를 상속받은 클래스를 만든다.
    cgi_directories = ['/cgi-bin']  # cgi-bin 디렉토리를 지정해 준다.

serv = HTTPServer(('127.0.0.1', PORT), HandlerClass)  # HTTPServer 서버 객체 생성한다.

print('HTTPServer 서비스 시작 ...')
serv.serve_forever()  # HTTPServer 서비스 시작한다.
