import re

test1 = re.compile('the', re.IGNORECASE)
print(test1.findall('The dog the cat'))   # 대소문자 구분하지 않음. re.IGNORECASE가 없으면 the만 출력

s = '''My name is tom. 
I am happy'''
test2 = re.compile('^.', re.MULTILINE) # re.MULTILINE 옵션을 사용
print(test2.findall(s))          # 여러 문장의 첫 글자만 검색된다.
# 한 글자 이상의 여러 문장이 검색된다.
print(re.compile('^.+', re.MULTILINE).findall(s))

test3 = re.compile('python.db')  # 메타문자 사용
print(test3.match('python\ndb')) 
test3 = re.compile('python.db', re.DOTALL)
print(test3.match('python\ndb'))
# match 객체의 결과를 group()으로 출력하기
print(test3.match('python\ndb').group())

test4 = re.compile(r"""
 [a-zA-Z]+   # 알파벳 모두 최소 1회 이상 반복
 [^0-9]      # 숫자 제외
""", re.VERBOSE)
print(test4.findall('Hello tom 123'))
