import wx
import wx.xrc

class MyFrame1(wx.Frame):
    def __init__(self, parent):
        wx.Frame.__init__(self, parent, id=wx.ID_ANY, title=u"미니 계산기", pos=wx.DefaultPosition, size=wx.Size(260, 255),
                          style=wx.DEFAULT_FRAME_STYLE | wx.TAB_TRAVERSAL)

        # self.SetSizeHintsSz(wx.DefaultSize, wx.DefaultSize)
        self.SetBackgroundColour(wx.SystemSettings.GetColour(wx.SYS_COLOUR_MENU))

        bSizer1 = wx.BoxSizer(wx.VERTICAL)

        self.m_panel1 = wx.Panel(self, wx.ID_ANY, wx.DefaultPosition, wx.DefaultSize, wx.TAB_TRAVERSAL)
        bSizer2 = wx.BoxSizer(wx.HORIZONTAL)

        self.m_staticText1 = wx.StaticText(self.m_panel1, wx.ID_ANY, u"숫자 1 :", wx.DefaultPosition, wx.DefaultSize, 0)
        self.m_staticText1.Wrap(-1)
        bSizer2.Add(self.m_staticText1, 0, wx.ALL, 5)

        self.txtNo1 = wx.TextCtrl(self.m_panel1, wx.ID_ANY, wx.EmptyString, wx.DefaultPosition, wx.DefaultSize, 0)
        bSizer2.Add(self.txtNo1, 0, wx.ALL, 5)

        self.m_panel1.SetSizer(bSizer2)
        self.m_panel1.Layout()
        bSizer2.Fit(self.m_panel1)
        bSizer1.Add(self.m_panel1, 0, wx.ALL | wx.EXPAND, 5)

        self.m_panel2 = wx.Panel(self, wx.ID_ANY, wx.DefaultPosition, wx.DefaultSize, wx.TAB_TRAVERSAL)
        bSizer3 = wx.BoxSizer(wx.HORIZONTAL)

        self.m_staticText2 = wx.StaticText(self.m_panel2, wx.ID_ANY, u"숫자 2 :", wx.DefaultPosition, wx.DefaultSize, 0)
        self.m_staticText2.Wrap(-1)
        bSizer3.Add(self.m_staticText2, 0, wx.ALL, 5)

        self.txtNo2 = wx.TextCtrl(self.m_panel2, wx.ID_ANY, wx.EmptyString, wx.DefaultPosition, wx.DefaultSize, 0)
        bSizer3.Add(self.txtNo2, 0, wx.ALL, 5)

        self.m_panel2.SetSizer(bSizer3)
        self.m_panel2.Layout()
        bSizer3.Fit(self.m_panel2)
        bSizer1.Add(self.m_panel2, 0, wx.EXPAND | wx.ALL, 5)

        self.m_panel3 = wx.Panel(self, wx.ID_ANY, wx.DefaultPosition, wx.DefaultSize, wx.TAB_TRAVERSAL)
        bSizer4 = wx.BoxSizer(wx.HORIZONTAL)

        self.m_staticText3 = wx.StaticText(self.m_panel3, wx.ID_ANY, u"연산자 선택 : ", wx.DefaultPosition, wx.DefaultSize,
                                           0)
        self.m_staticText3.Wrap(-1)
        bSizer4.Add(self.m_staticText3, 0, wx.ALL, 5)

        self.rdo1 = wx.RadioButton(self.m_panel3, wx.ID_ANY, u"+", wx.DefaultPosition, wx.DefaultSize, 0)
        self.rdo1.SetValue(True)
        bSizer4.Add(self.rdo1, 0, wx.ALL, 5)

        self.rdo2 = wx.RadioButton(self.m_panel3, wx.ID_ANY, u"-", wx.DefaultPosition, wx.DefaultSize, 0)
        bSizer4.Add(self.rdo2, 0, wx.ALL, 5)

        self.rdo3 = wx.RadioButton(self.m_panel3, wx.ID_ANY, u"*", wx.DefaultPosition, wx.DefaultSize, 0)
        bSizer4.Add(self.rdo3, 0, wx.ALL, 5)

        self.rdo4 = wx.RadioButton(self.m_panel3, wx.ID_ANY, u"/", wx.DefaultPosition, wx.DefaultSize, 0)
        bSizer4.Add(self.rdo4, 0, wx.ALL, 5)

        self.m_panel3.SetSizer(bSizer4)
        self.m_panel3.Layout()
        bSizer4.Fit(self.m_panel3)
        bSizer1.Add(self.m_panel3, 0, wx.ALL | wx.EXPAND, 5)

        self.m_panel4 = wx.Panel(self, wx.ID_ANY, wx.DefaultPosition, wx.DefaultSize, wx.TAB_TRAVERSAL)
        bSizer5 = wx.BoxSizer(wx.HORIZONTAL)

        self.m_staticText4 = wx.StaticText(self.m_panel4, wx.ID_ANY, u"연산결과 : ", wx.DefaultPosition, wx.DefaultSize, 0)
        self.m_staticText4.Wrap(-1)
        bSizer5.Add(self.m_staticText4, 0, wx.ALL, 5)

        self.staResult = wx.StaticText(self.m_panel4, wx.ID_ANY, u"0", wx.DefaultPosition, wx.DefaultSize, 0)
        self.staResult.Wrap(-1)
        bSizer5.Add(self.staResult, 0, wx.ALL, 5)

        self.m_panel4.SetSizer(bSizer5)
        self.m_panel4.Layout()
        bSizer5.Fit(self.m_panel4)
        bSizer1.Add(self.m_panel4, 0, wx.EXPAND | wx.ALL, 5)

        self.m_panel5 = wx.Panel(self, wx.ID_ANY, wx.DefaultPosition, wx.DefaultSize, wx.TAB_TRAVERSAL)
        bSizer6 = wx.BoxSizer(wx.HORIZONTAL)

        self.btnCalc = wx.Button(self.m_panel5, wx.ID_ANY, u"계산", wx.DefaultPosition, wx.Size(60, -1), 0)
        bSizer6.Add(self.btnCalc, 0, wx.ALL, 5)

        self.btnClear = wx.Button(self.m_panel5, wx.ID_ANY, u"초기화", wx.DefaultPosition, wx.Size(60, -1), 0)
        bSizer6.Add(self.btnClear, 0, wx.ALL, 5)

        self.btnExit = wx.Button(self.m_panel5, wx.ID_ANY, u"종료", wx.DefaultPosition, wx.Size(60, -1), 0)
        bSizer6.Add(self.btnExit, 0, wx.ALL, 5)

        self.m_panel5.SetSizer(bSizer6)
        self.m_panel5.Layout()
        bSizer6.Fit(self.m_panel5)
        bSizer1.Add(self.m_panel5, 0, wx.ALL | wx.EXPAND, 5)

        self.SetSizer(bSizer1)
        self.Layout()

        self.Centre(wx.BOTH)

        # Connect Events
        self.btnCalc.id = 1  # 버튼 구분용 id 부여
        self.btnClear.id = 2
        self.btnExit.id = 3

        self.btnCalc.Bind(wx.EVT_BUTTON, self.btnProcess)
        self.btnClear.Bind(wx.EVT_BUTTON, self.btnProcess)
        self.btnExit.Bind(wx.EVT_BUTTON, self.btnProcess)

    def btnProcess(self, event):
        sel_id = event.GetEventObject().id  # 이벤트가 발생된 버튼 감지

        if sel_id == 1:   # 계산
            num1 = self.txtNo1.GetValue()
            num2 = self.txtNo2.GetValue()

            if num1 == '' or num2 == '':
                wx.MessageBox('값을 입력하세요', '오류', wx.OK)
                return

            try:
                num1 = float(num1)  # 문자를 숫자로 형변환
                num2 = float(num2)
            except:
                wx.MessageBox('숫자를 입력하세요', '오류', wx.OK)
                return

            if self.rdo1.GetValue() == True:
                result = num1 + num2
            elif self.rdo2.GetValue() == True:
                result = num1 - num2
            elif self.rdo3.GetValue() == True:
                result = num1 * num2
            else:
                if num2 == 0:
                    wx.MessageBox('0으로는 나눌 수 없어요', '오류', wx.OK)
                    return
                result = num1 / num2

            self.staResult.SetLabelText(str(result))  # 계산 결과 출력
        elif sel_id == 2:   # 초기화
            self.rdo1.SetValue(True)  # + 라디오 버튼 선택
            self.txtNo1.SetLabel('')
            self.txtNo2.SetLabel('')
            self.staResult.SetLabel('')
            self.txtNo1.SetFocus()  # 첫번째 숫자 입력 박스에 커서를 둔다.
        elif sel_id == 3:   # 종료
            dlg = wx.MessageDialog(self, '정말 종료할까요?', '알림', wx.YES_NO)  # 대화상자 열기
            imsi = dlg.ShowModal()
            if imsi == wx.ID_YES:
                dlg.Destroy()  # 대화상자 닫기
                self.Close()  # Frame 닫기

if __name__ == '__main__':
    app = wx.App()
    MyFrame1(None).Show()
    app.MainLoop()

