import urllib.request
from bs4 import BeautifulSoup

try:
    base_url = "https://beomi.github.io/beomi.github.io_old"
    source_code = urllib.request.urlopen(base_url) 	# 서버에 GET 요청으로 응답 문서 받음 

    plain_text = source_code.read()		# 텍스트 문서를 읽음
    print(plain_text)
    print(type(plain_text)) 	# 읽은 문서는 bytes type임

    convert_data = BeautifulSoup(plain_text, 'html.parser') 	# BeautifulSoup 객체로 변환하기
    print(convert_data) 		# 변환된 BeautifulSoup 객체 타입의 데이터 출력
    print(type(convert_data)) 	# BeautifulSoup 타입이 된다.

    for atag in convert_data.findAll('a'): 	# 검색 대상(a 태그 전체)을 지정해서 반복 처리 하기
        print(atag.string)
except Exception as e:
    print('에러 발생 원인 :', e)
