import urllib.request
from bs4 import BeautifulSoup
from urllib import parse		# 한글 인코딩을 위한 모듈

para = parse.quote('이순신')
print(para) 	    # '이순신' 문자열이 인코딩 된 결과 %EC%9D%B4%EC%88%9C%EC%8B%A0
url = "https://ko.wikipedia.org/wiki/" + para		# 검색할 웹 페이지 url
soup = BeautifulSoup(urllib.request.urlopen(url), 'html.parser')
print(soup.select("#mw-content-text > div.mw-parser-output > p"))	# select(‘셀렉터 값’)을 이용함

# div 태그 중 클래스가 mw-parser-output이며 자식 태그가 p이고 p의 자식 태그인 b를 선택
result = soup.select("div.mw-parser-output > p > b")
for r in result:
    print(r.string) 	# b 태그의 텍스트를 출력

