import json

def load_jsonFunc(fname):
    try:
        with open(fname, 'r', encoding='UTF-8') as f:
            lines = f.read()
            jdata = json.loads(lines)  # json 모양을 가진 문자열을 딕셔너리 형으로 변환
            return jdata
    except Exception as e:
        print('error : ', e)

mydata = load_jsonFunc("test.json")	  # 함수 호출
print(type(mydata))

d1 = mydata['직원']['이름'] 		    # 딕셔너리의 key가 가진 value 값 얻기
d2 = mydata['직원']['직급']
d3 = mydata['직원']['전화']
print("이름 : " + d1 + ", 직급 : " + d2 + ", 전화 : " + d3)

for k in mydata.keys():			    # 딕셔너리의 key 출력
    print(k)

print()
for v in mydata.values():			# 딕셔너리의 value 출력
    print(v)

print()
d4 = mydata['웹사이트']['카페명'] 		# 딕셔너리의 key가 가진 value 값 얻기
d5 = mydata['웹사이트']['userid']
print("카페명 : " + d4 + ", userid : " + d5)
