import urllib.request
import json

url = "http://openapi.seoul.go.kr:8088/sample/json/SeoulLibraryTime/1/5"
plainText = urllib.request.urlopen(url).read().decode()
print(plainText)            # "row":[{"LBRRY_NAME":"LH강남3단지작은도서관","CODE_VALUE":"강남구",...
print(type(plainText)) 		# <class 'str'>

jsonData = json.loads(plainText) 	# 문자열이 딕셔너리로 변환됨
print(jsonData)
print(type(jsonData)) 		# <class 'dict'>
print()
libData = jsonData.get("SeoulLibraryTime").get("row")	# 딕셔너리의 get 기능을 사용
print(libData)

name = libData[0].get('LBRRY_NAME')  # 도서관명 읽기
print(name)

for ele in libData:
    name = ele.get('LBRRY_NAME')
    tel = ele.get('TEL_NO')
    addr = ele.get('ADRES')
    print(name + " " + tel + " " + addr)
