def outer2(tax):   # tax 매개 변수는 outer2 함수의 지역 변수다.
    def inner2(su, dan):
        amount = su * dan * tax       #  수량 * 단가 * 세금
        return amount   # inner2 함수는 amount를 반환
    return inner2       # outer2는 inner2 함수의 주소를 반환. 클로저!

# 1분기에는 수량 * 단가에 tax가 0.1이 부과
q1 = outer2(0.1)        # inner 함수의 객체 주소를 기억
print('result1 : ', q1(5, 10000))   # outer의 지역 변수인 tax를 사용
print('result2 : ', q1(10, 20000))

# 2분기에는 수량 * 단가에 tax가 0.5가 부과
q2 = outer2(0.05)    # inner 함수의 새로운 객체 주소를 기억
print('result3 : ', q2(5, 10000))  
print('result4 : ', q2(10, 20000))
