class TestClass:
    aa = 1   # 클래스 멤버변수는 클래스 종속 객체에서 공유 가능.

    def __init__(self):    # 생성자의 매개변수로 반드시 self를 준다.
        print('생성자')

    def __del__(self):    # 소멸자의 매개변수로 반드시 self를 준다.
        pass         # 프로그램이 종료될 때 마무리 작업이 있으면 적음

    def printMessage(self):  # 메소드의 매개변수도 self를 준다.
        name = '한국인'       # 메소드에서만 유효한 지역 변수
        print(name, ' ', self.aa)

print(TestClass.aa)  # 클래스명.멤버로 클래스 멤버변수의 참조 가능

test = TestClass()   # 생성자를 호출하면 객체가 생성된다.
print(test.aa)       # 객체명으로 멤버변수를 참조

#메서드를 호출하는 방법
test.printMessage()            # 1. Bound Method call
TestClass.printMessage(test)   # 2. Unbound Method call
print('클래스 타입:', isinstance(test, TestClass))
