class PohamHandle:
    quantity = 0			        # 회전량을 기억

    def leftTurn(self, quantity):	# 좌회전인 경우 수행한다.
        self.quantity = quantity	# quantity에 회전량을 치환
        return '좌회전'

    def rightTurn(self, quantity):  # 우회전인 경우 수행한다.
        self.quantity = quantity
        return '우회전'

class PohamCar:
    turnShow = '정지'

    def __init__(self, ownerName):
        self.ownerName = ownerName	# 객체별로 ownerName 멤버를 기억
        self.handle = PohamHandle()	# 클래스의 포함관계가 된다.

    def turnHandle(self, q):		# q 값으로 회전방향을 결정한다.
        if q > 0:
            self.turnShow = self.handle.rightTurn(q)  # PohamHandle 클래스 메소드를 호출한다.
        elif q < 0:
            self.turnShow = self.handle.leftTurn(q)
        elif q == 0:
            self.turnShow = '직진'

tom = PohamCar('tom')		# PohamCar 객체 하나를 tom이 참조한다.
tom.turnHandle(10)	 	    # tom이 우회전한다.
print(tom.ownerName + '의 회전량은 ' + tom.turnShow + str(tom.handle.quantity))

oscar = PohamCar('oscar')	# PohamCar type의 새로운 객체를 oscar가 참조하게 된다.
oscar.turnHandle(-25)	    # oscar가 좌회전한다
print(oscar.ownerName + '의 회전량은 ' + oscar.turnShow + str(oscar.handle.quantity))
