import MySQLdb
import pickle
import sys

try:
    with open('mysqldb.dat', 'rb') as obj:
        config = pickle.load(obj)

    conn = MySQLdb.connect(**config)
    cursor = conn.cursor()

    buser = input('부서번호 입력:')  # 검색에 사용할 부서 번호를 키보드로 입력받는다
    sql = '''
     select jikwon_no,jikwon_name,buser_num,jikwon_jik 
     from jikwon where buser_num={0}
    '''.format(buser)          # SQL 문은 문자열로 적어준다.

    cursor.execute(sql)
    datas = cursor.fetchall()  # 커서가 참조하고 있는 검색 결과를 datas 변수에 치환해 둔다.

    if len(datas) == 0:        # 검색결과가 없는 경우에는 메시지를 출력하고 실행을 종료함
        print(str(buser) + '번 부서는 없어요')
        sys.exit()  # 프로그램을 강제 종료함. exit()를 사용하려면 import sys 해야 함

    for d in datas:
        print(d[0], d[1], d[2], d[3])     # datas가 기억하고 있는 데이터를 순서대로 출력

    print('인원 수:' + str(len(datas)))    # datas의 크기가 곧 인원수(건수)가 된다.
except Exception as err:
    print('처리 오류 : ', err)
finally:
    cursor.close()
    conn.close()
