import threading, time

class MyThread(threading.Thread): 	# 스레드를 상속받은 클래스
    def run(self): 			        # 스레드 대상 메소드
        for i in range(1, 11):
            print('id={} --> {}'.format(self.getName(), i)) 	# 스레드 id와 for 변수 i를 출력
            time.sleep(0.1) 		# 0.1초 동안 스레드 비활성화

ths = []				# 스레드 객체변수를 기억하기 위한 리스트 기억장소
for i in range(2):
    th = MyThread()		# 사용자 정의 스레드 두 개가 만들어짐
    # print('생성된 객체의 주소:', id(th))
    th.start()			# run 메소드를 호출함
    ths.append(th) 		# 생성된 객체를 ths에 기억

for th in ths:
    th.join()		# 사용자 정의 스레드가 모두 종료될 때까지 메인 스레드 대기

print('exit')
