from threading import Thread, Condition
from time import sleep

g_count = 0		    # 전역변수는 자동으로 스레드의 공유 자원이 됨
lock = Condition()	# 스레드 공유 자원 접근에 제한을 강제하기 위한 잠금장치 객체

def threadCount(id, count):
    global g_count		    # g_count를 전역변수로 참조
    for i in range(count): 	# 각 스레드마다 5회 반복함
        #lock.acquire()		# 주석을 풀고 확인해 봐야 한다.
        print('id %s ==> count : %s, g_count : %s' % (id, i, g_count))
        g_count = g_count + 1	# 스레드가 각 5회 수행으로 총 25회 처리됨
        #lock.release()		# lock.acquire() 같이 주석을 풀고 확인해 보자.

for i in range(1, 6): 		# 사용자 정의 스레드 5개를 수행
    Thread(target = threadCount, args=(i, 5)).start()

sleep(1) 		# 약간의 대기시간(1초)을 줌. 메인 스레드 처리 대기. join 대체 효과

print('Final g_counter = ', g_count) 	# g_count 값 출력
print('Finish Process')
