import re

ss = '1234 abc가나다ABC_555_6'

p = re.compile(r'abc') 	    # 패턴 객체 생성
print(re.findall(p, ss)) 	# 생성된 패턴 적용

print(re.findall(r'123', ss)) 	# 표현식 패턴을 직접 적어 본다.
print(re.findall(r'가나다', ss))
print(re.findall(r'[0-9]', ss))
print(re.findall(r'[0-9]+', ss))
print(re.findall(r'[0-9]{2}', ss))

ss = '1234 abc가나다ABC_555_6 mbc air air'
print(re.findall(r'.bc', ss))
print(re.findall(r'^1+', ss))     # 첫 글자가 1로 시작하는 문자
print(re.findall(r'[^1].+', ss))  # 첫 글자가 1 이외의 문자열 참조

print(re.findall(r'a..', ss)) 	# 첫 글자가 a인 세 글자 참조
print(re.findall(r'air', ss)) 	# air 문자열 모두 참조
print(re.findall(r'air$', ss)) 	# air로 끝나는 문자열 참조
#print(re.findall(r'[_a-zA-Z]\w[^0-9]*', ss)) 	# 문자열을 추출함
print(re.findall(r'[_a-zA-Z]\w[^0-9]*', ss)[0])

ss = 'tom 80, james 100, oscar 5'
print(re.findall(r'\d', ss)) 		# 숫자 한 글자씩 참조
print(re.findall(r'\d{2}', ss)) 	# 숫자 두 자리 참조
print(re.findall(r'\d\d\d', ss)) 	# 숫자 세 자리 참조
print(re.findall(r'\d{1,3}', ss)) 	# 숫자 1~3자리 참조
